Skip to content
Connect an agent

MCP: Automation

follow_feed

Post new items from an RSS feed. Posts each new item of an RSS or Atom feed to the accounts, from template ({{title}}, {{link}}, {{summary}}). Existing items are skipped.

TL;DR

QuestionAnswer
What does it do?Posts each new item of an RSS or Atom feed to the accounts, from template ({{title}}, {{link}}, {{summary}}). Existing items are skipped.
Does it change anything?Changes something.
Which endpoint does it call?POST /v1/feeds
Which server?https://mcp.flung.dev/mcp-oauth (sign in) or https://mcp.flung.dev/mcp (API key).

Arguments

ArgumentTypeRequiredDescription
urlstringyesThe feed address, https.
accountIdsstring[]yes
templatestringnoat least 1 character; at most 5000 characters.

Example call

json
{  "name": "follow_feed",  "arguments": {    "url": "https://blog.example.com/rss.xml",    "accountIds": [      "acct_aaaaaaaaaaaaaaaaaaaaaaaa"    ]  }}

Things a person might say

  • "Post our blog's new articles to LinkedIn."

Annotations

HintValue
readOnlyHintfalse
destructiveHintfalse
idempotentHintfalse
openWorldHinttrue

See also

DocWhy
MCP toolsEvery tool
Connect an AI agentInstall the server in your client
POST /v1/feedsThe same operation over HTTP